

RFrom [email-masked] Tue Dec 05 07:01:30 2006
From: "Wijnen, Bert (Bert)" <[email-masked]>
To: [email-masked], David Harrington <[email-masked]>
Subject: RE: [NGO] MIB Access using Netconf RPCs
Date: Tue, 5 Dec 2006 13:00:57 +0100 
Cc: [email-masked]

> > > I believe we should follow Dave Perkin's suggestion and define a
> > > "this" contextEngineID constant which always means use the local
> > > engineID as the contextEngineID. This would solve the problem for
> > > the non-proxy case for both ISMS and NETCONF or any other
> > > interfaces.
> > 
> > I agree this might work, but we need to determine how to change the
> > existing elements of procedure to support this.
> 
> Section 4.2.2.1. or RFC 3412 says:
> 
>    1) The combination of contextEngineID and pduType is used to
>       determine which application has registered for this request or
>       notification.
> 
> What about this:
> 
> a) We define a "localEngineID" contextEngineID value.
> 
> b) We suggest that the applications handling pduTypes that are "local"
>    to the snmp engine register under this "localEngineID" value (in
>    addition to the usual registration under the contextEngineID).
> 
> Once that has happened, things should just work without any further
> modifications of the elements of procedure. Note that RFC 3412 already
> allows multiple registrations for different engineIDs. Am I missing
> something?
> 

Without having re-read all of the RFC341x related text, I think the above 
may indeed work and be doable.

Bert

_______________________________________________
NGO mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/ngo